WeakCacheMap (BioJava-1.5-beta API)
Keywords: org.biojava.utils.cache.WeakCacheMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Class WeakCacheMap

    java.lang.Object
      org.biojava.utils.cache.WeakCacheMap

All Implemented Interfaces:
  CacheMap

    public class WeakCacheMap

extends Object
implements CacheMap

A cache which retains weak references to objects

Since:
  1.3
Author:
  Thomas Down

Constructor Summary
`WeakCacheMap()`

Method Summary
`Object` | `get(Object key)` Retrieve the Object associated with the key, or null if either no value has been associated or if the key's value has been cleared by the cache.
`void` | `put(Object key, Object value)` Associate a value with a key.
`void` | `remove(Object key)` Explicitly remove an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakCacheMap

    public WeakCacheMap()

Method Detail

### put

    public void put(Object key,
                    Object value)

  Description copied from interface: `CacheMap`
  Associate a value with a key. The association may be broken at any time.

  Specified by:
    `put` in interface `CacheMap`
  Parameters:
    `key` - the key Object
    `value` - the Object to associate with the key

### get

    public Object get(Object key)

  Description copied from interface: `CacheMap`
  Retrieve the Object associated with the key, or null if either no value has been associated or if the key's value has been cleared by the cache.

  Specified by:
    `get` in interface `CacheMap`
  Parameters:
    `key` - the key Object
  Returns:
    the Object currently associated with the key

### remove

    public void remove(Object key)

  Description copied from interface: `CacheMap`
  Explicitly remove an object.

  Specified by:
    `remove` in interface `CacheMap`
  Parameters:
    `key` - the item to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD